com.sun.grid.jgdi.configuration

## Interface ExecHost

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ExecHostImpl

      public interface ExecHost
      extends GEObject

  Java representation of the cull object EH_Type defined in sge_all_listsL.template

  Warning: The ExecHost class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(UserSet aacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addConsumableConfig(ComplexEntry aconsumableConfig)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addPrj(Project aprj)` Add a com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `addReportVariables(java.lang.String areportVariables)` Add a java.lang.String attribute.
    `void` | `addXacl(UserSet axacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addXprj(Project axprj)` Add a com.sun.grid.jgdi.configuration.Project attribute.
    `java.lang.String` | `dump()`
    `UserSet` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `ComplexEntry` | `getConsumableConfig(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getConsumableConfigCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getConsumableConfigList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getDefaultLoad()` Get the default value of the attribute load.
    `double` | `getDefaultScaling()` Get the default value of the attribute scaling.
    `double` | `getDefaultUsageScaling()` Get the default value of the attribute usageScaling.
    `java.lang.String` | `getLoad(java.lang.String key)` Get the load attribute for `key`.
    `int` | `getLoadCount()` Get the number of keys which have the attribute load set.
    `java.util.Set<java.lang.String>` | `getLoadKeys()` Get the set of `key`s which have the attribute load set.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `Project` | `getPrj(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getPrjCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getPrjList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `int` | `getProcessors()` Get the value of the processors attribute.
    `java.lang.String` | `getReportVariables(int index)` Get a java.lang.String attribute at an index.
    `int` | `getReportVariablesCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getReportVariablesList()` Get a unmodifiable list of all java.lang.String attributes.
    `double` | `getScaling(java.lang.String key)` Get the scaling attribute for `key`.
    `int` | `getScalingCount()` Get the number of keys which have the attribute scaling set.
    `java.util.Set<java.lang.String>` | `getScalingKeys()` Get the set of `key`s which have the attribute scaling set.
    `double` | `getUsageScaling(java.lang.String key)` Get the usageScaling attribute for `key`.
    `int` | `getUsageScalingCount()` Get the number of keys which have the attribute usageScaling set.
    `java.util.Set<java.lang.String>` | `getUsageScalingKeys()` Get the set of `key`s which have the attribute usageScaling set.
    `UserSet` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `Project` | `getXprj(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getXprjCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getXprjList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `boolean` | `isSetAcl()` Determine if any acl attribute is set
    `boolean` | `isSetConsumableConfig()` Determine if any consumableConfig attribute is set
    `boolean` | `isSetLoad()` Determine if any load attribute is set
    `boolean` | `isSetLoad(java.lang.String key)` Determine if any load attribute is for `key` is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetPrj()` Determine if any prj attribute is set
    `boolean` | `isSetProcessors()` Determine if any processors attribute is set
    `boolean` | `isSetReportVariables()` Determine if any reportVariables attribute is set
    `boolean` | `isSetScaling()` Determine if any scaling attribute is set
    `boolean` | `isSetScaling(java.lang.String key)` Determine if any scaling attribute is for `key` is set
    `boolean` | `isSetUsageScaling()` Determine if any usageScaling attribute is set
    `boolean` | `isSetUsageScaling(java.lang.String key)` Determine if any usageScaling attribute is for `key` is set
    `boolean` | `isSetXacl()` Determine if any xacl attribute is set
    `boolean` | `isSetXprj()` Determine if any xprj attribute is set
    `void` | `putScaling(java.lang.String key, double value)` Put the attribute scaling for `key`.
    `void` | `putUsageScaling(java.lang.String key, double value)` Put the attribute usageScaling for `key`.
    `UserSet` | `removeAcl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeAcl(UserSet aacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `removeAllAcl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllConsumableConfig()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllPrj()` Remove all com.sun.grid.jgdi.configuration.Project attributes.
    `void` | `removeAllReportVariables()` Remove all java.lang.String attributes.
    `void` | `removeAllScaling()` Remove the attribute scaling for all keys.
    `void` | `removeAllUsageScaling()` Remove the attribute usageScaling for all keys.
    `void` | `removeAllXacl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllXprj()` Remove all com.sun.grid.jgdi.configuration.Project attributes.
    `boolean` | `removeConsumableConfig(ComplexEntry aconsumableConfig)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeConsumableConfig(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `Project` | `removePrj(int index)` Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `boolean` | `removePrj(Project aprj)` Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
    `java.lang.String` | `removeReportVariables(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeReportVariables(java.lang.String areportVariables)` Remote a specific java.lang.String attribute.
    `java.lang.Double` | `removeScaling(java.lang.String key)` remove the attribute scaling for `key`.
    `java.lang.Double` | `removeUsageScaling(java.lang.String key)` remove the attribute usageScaling for `key`.
    `UserSet` | `removeXacl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeXacl(UserSet axacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `Project` | `removeXprj(int index)` Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `boolean` | `removeXprj(Project axprj)` Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `setAcl(int index, UserSet aacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setConsumableConfig(int index, ComplexEntry aconsumableConfig)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setPrj(int index, Project aprj)` Set a com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `setReportVariables(int index, java.lang.String areportVariables)` Set a java.lang.String attribute.
    `void` | `setXacl(int index, UserSet axacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setXprj(int index, Project axprj)` Set a com.sun.grid.jgdi.configuration.Project attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### getDefaultScaling

          double getDefaultScaling()

      Get the default value of the attribute scaling.

      Returns:
        the default value of the attribute scaling
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getScaling

          double getScaling(java.lang.String key)

      Get the scaling attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the scaling attribute for `key` or the default value of scaling

    - #### getScalingKeys

          java.util.Set<java.lang.String> getScalingKeys()

      Get the set of `key`s which have the attribute scaling set.
      Returns:
        set of `key`s

    - #### getScalingCount

          int getScalingCount()

      Get the number of keys which have the attribute scaling set.
      Returns:
        the number of keys which have the attribute scaling set.

    - #### isSetScaling

          boolean isSetScaling(java.lang.String key)

      Determine if any scaling attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the scaling attribute is set

    - #### putScaling

          void putScaling(java.lang.String key,
                          double value)

      Put the attribute scaling for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeScaling

          java.lang.Double removeScaling(java.lang.String key)

      remove the attribute scaling for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllScaling

          void removeAllScaling()

      Remove the attribute scaling for all keys.

    - #### isSetScaling

          boolean isSetScaling()

      Determine if any scaling attribute is set
      Returns:
        `true` if the scaling attribute is set

    - #### getConsumableConfigList

          java.util.List<ComplexEntry> getConsumableConfigList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getConsumableConfigCount

          int getConsumableConfigCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getConsumableConfig

          ComplexEntry getConsumableConfig(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### addConsumableConfig

          void addConsumableConfig(ComplexEntry aconsumableConfig)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aconsumableConfig` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setConsumableConfig

          void setConsumableConfig(int index,
                                   ComplexEntry aconsumableConfig)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `aconsumableConfig` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllConsumableConfig

          void removeAllConsumableConfig()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeConsumableConfig

          ComplexEntry removeConsumableConfig(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeConsumableConfig

          boolean removeConsumableConfig(ComplexEntry aconsumableConfig)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aconsumableConfig` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### isSetConsumableConfig

          boolean isSetConsumableConfig()

      Determine if any consumableConfig attribute is set
      Returns:
        `true` if the consumableConfig attribute is set

    - #### getDefaultUsageScaling

          double getDefaultUsageScaling()

      Get the default value of the attribute usageScaling.

      Returns:
        the default value of the attribute usageScaling
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsageScaling

          double getUsageScaling(java.lang.String key)

      Get the usageScaling attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the usageScaling attribute for `key` or the default value of usageScaling

    - #### getUsageScalingKeys

          java.util.Set<java.lang.String> getUsageScalingKeys()

      Get the set of `key`s which have the attribute usageScaling set.
      Returns:
        set of `key`s

    - #### getUsageScalingCount

          int getUsageScalingCount()

      Get the number of keys which have the attribute usageScaling set.
      Returns:
        the number of keys which have the attribute usageScaling set.

    - #### isSetUsageScaling

          boolean isSetUsageScaling(java.lang.String key)

      Determine if any usageScaling attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the usageScaling attribute is set

    - #### putUsageScaling

          void putUsageScaling(java.lang.String key,
                               double value)

      Put the attribute usageScaling for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeUsageScaling

          java.lang.Double removeUsageScaling(java.lang.String key)

      remove the attribute usageScaling for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllUsageScaling

          void removeAllUsageScaling()

      Remove the attribute usageScaling for all keys.

    - #### isSetUsageScaling

          boolean isSetUsageScaling()

      Determine if any usageScaling attribute is set
      Returns:
        `true` if the usageScaling attribute is set

    - #### getDefaultLoad

          java.lang.String getDefaultLoad()

      Get the default value of the attribute load.

      Returns:
        the default value of the attribute load
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getLoad

          java.lang.String getLoad(java.lang.String key)

      Get the load attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the load attribute for `key` or the default value of load

    - #### getLoadKeys

          java.util.Set<java.lang.String> getLoadKeys()

      Get the set of `key`s which have the attribute load set.
      Returns:
        set of `key`s

    - #### getLoadCount

          int getLoadCount()

      Get the number of keys which have the attribute load set.
      Returns:
        the number of keys which have the attribute load set.

    - #### isSetLoad

          boolean isSetLoad(java.lang.String key)

      Determine if any load attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the load attribute is set

    - #### isSetLoad

          boolean isSetLoad()

      Determine if any load attribute is set
      Returns:
        `true` if the load attribute is set

    - #### getProcessors

          int getProcessors()

      Get the value of the processors attribute.
      Returns:
        the value of the processors attribute

    - #### isSetProcessors

          boolean isSetProcessors()

      Determine if any processors attribute is set
      Returns:
        `true` if the processors attribute is set

    - #### getAclList

          java.util.List<UserSet> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getAclCount

          int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getAcl

          UserSet getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### addAcl

          void addAcl(UserSet aacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setAcl

          void setAcl(int index,
                      UserSet aacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllAcl

          void removeAllAcl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeAcl

          UserSet removeAcl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeAcl

          boolean removeAcl(UserSet aacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### isSetAcl

          boolean isSetAcl()

      Determine if any acl attribute is set
      Returns:
        `true` if the acl attribute is set

    - #### getXaclList

          java.util.List<UserSet> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXaclCount

          int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXacl

          UserSet getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### addXacl

          void addXacl(UserSet axacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setXacl

          void setXacl(int index,
                       UserSet axacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllXacl

          void removeAllXacl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeXacl

          UserSet removeXacl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeXacl

          boolean removeXacl(UserSet axacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### isSetXacl

          boolean isSetXacl()

      Determine if any xacl attribute is set
      Returns:
        `true` if the xacl attribute is set

    - #### getPrjList

          java.util.List<Project> getPrjList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getPrjCount

          int getPrjCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getPrj

          Project getPrj(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### addPrj

          void addPrj(Project aprj)

      Add a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `aprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### setPrj

          void setPrj(int index,
                      Project aprj)

      Set a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Project attribute
        `aprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### removeAllPrj

          void removeAllPrj()

      Remove all com.sun.grid.jgdi.configuration.Project attributes.

    - #### removePrj

          Project removePrj(int index)

      Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Project attribute or `null` if no attribute at this index is stored

    - #### removePrj

          boolean removePrj(Project aprj)

      Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `aprj` - the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Project attribute has been removed

    - #### isSetPrj

          boolean isSetPrj()

      Determine if any prj attribute is set
      Returns:
        `true` if the prj attribute is set

    - #### getXprjList

          java.util.List<Project> getXprjList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getXprjCount

          int getXprjCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getXprj

          Project getXprj(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### addXprj

          void addXprj(Project axprj)

      Add a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `axprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### setXprj

          void setXprj(int index,
                       Project axprj)

      Set a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Project attribute
        `axprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### removeAllXprj

          void removeAllXprj()

      Remove all com.sun.grid.jgdi.configuration.Project attributes.

    - #### removeXprj

          Project removeXprj(int index)

      Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Project attribute or `null` if no attribute at this index is stored

    - #### removeXprj

          boolean removeXprj(Project axprj)

      Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `axprj` - the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Project attribute has been removed

    - #### isSetXprj

          boolean isSetXprj()

      Determine if any xprj attribute is set
      Returns:
        `true` if the xprj attribute is set

    - #### getReportVariablesList

          java.util.List<java.lang.String> getReportVariablesList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getReportVariablesCount

          int getReportVariablesCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getReportVariables

          java.lang.String getReportVariables(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addReportVariables

          void addReportVariables(java.lang.String areportVariables)

      Add a java.lang.String attribute.
      Parameters:
        `areportVariables` - the new java.lang.String attribute

    - #### setReportVariables

          void setReportVariables(int index,
                                  java.lang.String areportVariables)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `areportVariables` - the new java.lang.String attribute

    - #### removeAllReportVariables

          void removeAllReportVariables()

      Remove all java.lang.String attributes.

    - #### removeReportVariables

          java.lang.String removeReportVariables(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeReportVariables

          boolean removeReportVariables(java.lang.String areportVariables)

      Remote a specific java.lang.String attribute.
      Parameters:
        `areportVariables` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetReportVariables

          boolean isSetReportVariables()

      Determine if any reportVariables attribute is set
      Returns:
        `true` if the reportVariables attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.